---
title: "Fulfillment order list query"
description: "Fulfillment order list query"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/shipping-and-fulfillment/fulfillment-order-list-query'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/shipping-and-fulfillment/fulfillment-order-list-query.md'
---
# Fulfillment order list query

Fulfillment order list query

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_assigned_fulfillment_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /fulfillment_orders/fulfillment_orders_search.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_assigned_fulfillment_orders`

## Request

### Query Parameters

* `limit`

  string (optional)

  The number of data to query, the default is 20, the maximum is 100

* `location_ids`

  string (required)

  Location id list

* `page_info`

  string (optional)

  The unique identifier for pagination queries, used to locate a specific page. 
  
  This parameter value is obtained from the `link` value in the response header of this API after you have queried the pagination information. 
  
  For example, if the `link` value you obtained is `<https://{handle}.myshopline.com/admin/openapi/{version}/fulfillment_orders/fulfillment_orders_search.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel="next"` , the value of `page_info` is `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` . 
  
  For more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).

* `since_id`

  string (optional)

  The starting position of the order number ID of the data to be queried

* `assignment_status`

  string (optional)

  Request status

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `link`

  The URL link that provides the pagination data. You can obtain `page_info` from this parameter for subsequent pagination requests. 
  
  This parameter is returned when the requested page has a previous or next page. 
  
  For more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `fulfillment_orders`

  array<object>

  Fulfillment orders

  * `assigned_location`

    object

    Location details assigned

    * `address1`

      string

      Address 1

    * `address2`

      string

      Address 2

    * `city`

      string

      City

    * `country`

      string

      Country

    * `country_code`

      string

      Country code

    * `location_id`

      string

      Location id

    * `name`

      string

      Location name

    * `phone`

      string

      Telephone number

    * `province`

      string

      Province

    * `zip`

      string

      Postal code

  * `assigned_location_id`

    string

    Assigned location id

  * `delivery_method`

    string

    Logistics methods including : shipping、pickup、local_delivery、none

  * `destination`

    object

    Consignee address

    * `address1`

      string

      Address 1

    * `address2`

      string

      Address 2

    * `city`

      string

      City

    * `company`

      string

      Company

    * `country`

      string

      Country

    * `country_code`

      string

      Country Code

    * `delivery_store_code`

      string

      Local delivery store id, provided only for local delivery

    * `delivery_store_name`

      string

      Local delivery store name, provided only for local delivery

    * `email`

      string

      Mailbox

    * `first_name`

      string

      firstName

    * `id`

      string

      Unique encoding

    * `last_name`

      string

      lastName

    * `name`

      string

      Customer name

    * `phone`

      string

      Telephone number

    * `province`

      string

      Province

    * `province_code`

      string

      State or provincial encoding , IOS 3166-2 encoding

  * `display_status`

    string

    In the store pickup scenarios , if it is not in the store pickup , or in the store pickup-the state of not picking up is return no

  * `fulfill_at`

    string

    Shipping time ( format see IOS8601 )

  * `fulfill_by`

    string

    Late delivery time ( format see IOS8601 )

  * `fulfillment_holds`

    array<object>

    Pause information

    * `reason`

      string

      Pause cause

    * `reason_note`

      string

      Pause notes

  * `id`

    string

    Fulfillment order id

  * `line_items`

    array<object>

    Fulfillment order product listing

    * `country_code_of_origin`

      string

      Country code of origin/shipping point

    * `fulfillable_quantity`

      long

      Available in approximately Product quantities

    * `fulfillment_order_id`

      string

      Fulfillment order id

    * `harmonized_system_code`

      string

      Customs code

    * `id`

      string

      Fulfillment order Product table id

    * `line_item_id`

      string

      Product id

    * `quantity`

      long

      Product number

    * `shop_id`

      string

      store ID

    * `variant_id`

      string

      Product SKU number

  * `merchant_requests`

    array<object>

    Request a specific list of information at the time of delivery

    * `created_at`

      string

      Time to happen ( format see IOS8601 )

    * `kind`

      string

      Third party request status including : submit : fulfillment_request , cancellation_requested , cancellation_reques

    * `message`

      string

      Notes

    * `notify_customer`

      boolean

      Whether to inform customer when shipping

  * `order_id`

    string

    Order id

  * `request_status`

    string

    Request status, including: unsubmitted, submitted, rejected, closed, cancellation_requested, cancellation_rejected, cancellation_accepted, accepted

  * `shop_id`

    string

    store ID

  * `status`

    string

    Fulfillment order status , including : open , in_progress , cmos ed , cancelled , incomplete , on_hold , scheduled

  * `supported_actions`

    array<string>

    Action supported by the fulfillment order list


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "tags": [
    "Fulfillment order list query"
  ],
  "description": "Fulfillment order list query",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_assigned_fulfillment_orders` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": "| Error Code | HTTP Status Code | Error Description |\n|------------|------------------|-------------------|\n| SUCCESS | 200 | request success |\n| SYSTEM_ERROR | 500 | system error |\n"
  },
  "operationId": "ltKYkNzD",
  "parameters": [
    {
      "name": "limit",
      "in": "query",
      "description": "The number of data to query, the default is 20, the maximum is 100",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "limit",
        "description": "The number of data to query, the default is 20, the maximum is 100",
        "type": "string",
        "example": 10
      },
      "example": 10
    },
    {
      "name": "location_ids",
      "in": "query",
      "description": "Location id list",
      "required": true,
      "style": "form",
      "explode": true,
      "schema": {
        "name": "location_ids",
        "description": "Location id list",
        "type": "string",
        "example": "\"24826418,24826411\""
      },
      "example": "\"24826418,24826411\""
    },
    {
      "name": "page_info",
      "in": "query",
      "description": "The unique identifier for pagination queries, used to locate a specific page. \n\nThis parameter value is obtained from the `link` value in the response header of this API after you have queried the pagination information. \n\nFor example, if the `link` value you obtained is `<https://{handle}.myshopline.com/admin/openapi/{version}/fulfillment_orders/fulfillment_orders_search.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"next\"` , the value of `page_info` is `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` . \n\nFor more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "page_info",
        "description": "The requirements after encryption include all query conditions parameters ( except for queryParamData ) , used for previous page and next page to directly access the field parse",
        "type": "string",
        "example": "\"7AFD7393C6E7CF18672C038477E2EF6A463464BDBAF766DD8F8CB8E0085F82419A94B80084BCDA0B838B3F13C302A2C9044E\""
      },
      "example": "\"7AFD7393C6E7CF18672C038477E2EF6A463464BDBAF766DD8F8CB8E0085F82419A94B80084BCDA0B838B3F13C302A2C9044E\""
    },
    {
      "name": "since_id",
      "in": "query",
      "description": "The starting position of the order number ID of the data to be queried",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "since_id",
        "description": "The starting position of the order number ID of the data to be queried",
        "type": "string",
        "example": "\"21056199447626881527947685\""
      },
      "example": "\"21056199447626881527947685\""
    },
    {
      "name": "assignment_status",
      "in": "query",
      "description": "Request status",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "assignment_status",
        "description": "Request status",
        "type": "string",
        "example": "\"unsubmitted\""
      },
      "example": "\"unsubmitted\""
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "link": {
          "description": "The URL link that provides the pagination data. You can obtain `page_info` from this parameter for subsequent pagination requests. \n\nThis parameter is returned when the requested page has a previous or next page. \n\nFor more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).",
          "example": "\\<https://{handle}.myshopline.com/admin/openapi/{version}/fulfillment_orders/fulfillment_orders_search.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel='previous',<https://{handle}.myshopline.com/admin/openapi/{version}/fulfillment_orders/fulfillment_orders_search.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJwcmUiLCJsaW1pdCI6MX0=\\>; rel='next'"
        },
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "fulfillment_orders": {
                "name": "fulfillment_orders",
                "description": "Fulfillment orders",
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "assigned_location": {
                      "name": "assigned_location",
                      "description": "Location details assigned",
                      "type": "object",
                      "properties": {
                        "address1": {
                          "name": "address1",
                          "description": "Address 1",
                          "type": "string",
                          "example": "126 York Street"
                        },
                        "address2": {
                          "name": "address2",
                          "description": "Address 2",
                          "type": "string",
                          "example": "Unit 42"
                        },
                        "city": {
                          "name": "city",
                          "description": "City",
                          "type": "string",
                          "example": "Ottawa"
                        },
                        "country": {
                          "name": "country",
                          "description": "Country",
                          "type": "string",
                          "example": "Canada"
                        },
                        "country_code": {
                          "name": "country_code",
                          "description": "Country code",
                          "type": "string",
                          "example": "CA"
                        },
                        "location_id": {
                          "name": "location_id",
                          "description": "Location id",
                          "type": "string",
                          "example": "5668167071852661850"
                        },
                        "name": {
                          "name": "name",
                          "description": "Location name",
                          "type": "string",
                          "example": "Ottawa Store"
                        },
                        "phone": {
                          "name": "phone",
                          "description": "Telephone number",
                          "type": "string",
                          "example": "18883290139"
                        },
                        "province": {
                          "name": "province",
                          "description": "Province",
                          "type": "string",
                          "example": "Ontario"
                        },
                        "zip": {
                          "name": "zip",
                          "description": "Postal code",
                          "type": "string",
                          "example": "A1B 2C3"
                        }
                      },
                      "example": {
                        "address1": "126 York Street",
                        "address2": "Unit 42",
                        "city": "Ottawa",
                        "country": "Canada",
                        "country_code": "CA",
                        "location_id": "5668167071852661850",
                        "name": "Ottawa Store",
                        "phone": "18883290139",
                        "province": "Ontario",
                        "zip": "A1B 2C3"
                      }
                    },
                    "assigned_location_id": {
                      "name": "assigned_location_id",
                      "description": "Assigned location id",
                      "type": "string",
                      "example": "5668167071852661850"
                    },
                    "delivery_method": {
                      "name": "delivery_method",
                      "description": "Logistics methods including : shipping、pickup、local_delivery、none",
                      "type": "string",
                      "example": "none"
                    },
                    "destination": {
                      "name": "destination",
                      "description": "Consignee address",
                      "type": "object",
                      "properties": {
                        "address1": {
                          "name": "address1",
                          "description": "Address 1",
                          "type": "string",
                          "example": "Chestnut Street 12"
                        },
                        "address2": {
                          "name": "address2",
                          "description": "Address 2",
                          "type": "string",
                          "example": "Chestnut Street 13"
                        },
                        "city": {
                          "name": "city",
                          "description": "City",
                          "type": "string",
                          "example": "Louisville"
                        },
                        "company": {
                          "name": "company",
                          "description": "Company",
                          "type": "string",
                          "example": "LLL"
                        },
                        "country": {
                          "name": "country",
                          "description": "Country",
                          "type": "string",
                          "example": "Canada"
                        },
                        "country_code": {
                          "name": "country_code",
                          "description": "Country Code",
                          "type": "string",
                          "example": "CA"
                        },
                        "delivery_store_code": {
                          "name": "delivery_store_code",
                          "description": "Local delivery store id, provided only for local delivery",
                          "type": "string",
                          "example": "A121"
                        },
                        "delivery_store_name": {
                          "name": "delivery_store_name",
                          "description": "Local delivery store name, provided only for local delivery",
                          "type": "string",
                          "example": "Napo Shop"
                        },
                        "email": {
                          "name": "email",
                          "description": "Mailbox",
                          "type": "string",
                          "example": "sswe.t@mail.example.com"
                        },
                        "first_name": {
                          "name": "first_name",
                          "description": "firstName",
                          "type": "string",
                          "example": "Jack"
                        },
                        "id": {
                          "name": "id",
                          "description": "Unique encoding",
                          "type": "string",
                          "example": "1046000771"
                        },
                        "last_name": {
                          "name": "last_name",
                          "description": "lastName",
                          "type": "string"
                        },
                        "name": {
                          "name": "name",
                          "description": "Customer name",
                          "type": "string",
                          "example": "Jack Wang"
                        },
                        "phone": {
                          "name": "phone",
                          "description": "Telephone number",
                          "type": "string",
                          "example": "18883290137"
                        },
                        "province": {
                          "name": "province",
                          "description": "Province",
                          "type": "string",
                          "example": "Kentucky"
                        },
                        "province_code": {
                          "name": "province_code",
                          "description": "State or provincial encoding , IOS 3166-2 encoding",
                          "type": "string",
                          "example": "KY"
                        }
                      },
                      "example": {
                        "address1": "Chestnut Street 12",
                        "address2": "Chestnut Street 13",
                        "city": "Louisville",
                        "company": "LLL",
                        "country": "Canada",
                        "country_code": "CA",
                        "delivery_store_code": "A121",
                        "delivery_store_name": "Napo Shop",
                        "email": "sswe.t@mail.example.com",
                        "first_name": "Jack",
                        "id": "1046000771",
                        "last_name": null,
                        "name": "Jack Wang",
                        "phone": "18883290137",
                        "province": "Kentucky",
                        "province_code": "KY"
                      }
                    },
                    "display_status": {
                      "name": "display_status",
                      "description": "In the store pickup scenarios , if it is not in the store pickup , or in the store pickup-the state of not picking up is return no",
                      "type": "string",
                      "example": "Picked up"
                    },
                    "fulfill_at": {
                      "name": "fulfill_at",
                      "description": "Shipping time ( format see IOS8601 )",
                      "type": "string",
                      "example": "2023-04-12T22:59:52+08:00"
                    },
                    "fulfill_by": {
                      "name": "fulfill_by",
                      "description": "Late delivery time ( format see IOS8601 )",
                      "type": "string",
                      "example": "2023-04-12T22:59:52+08:00"
                    },
                    "fulfillment_holds": {
                      "name": "fulfillment_holds",
                      "description": "Pause information",
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "reason": {
                            "name": "reason",
                            "description": "Pause cause",
                            "type": "string",
                            "example": "something wrong"
                          },
                          "reason_note": {
                            "name": "reason_note",
                            "description": "Pause notes",
                            "type": "string",
                            "example": "something wrong"
                          }
                        },
                        "example": {
                          "reason": "something wrong",
                          "reason_note": "something wrong"
                        }
                      }
                    },
                    "id": {
                      "name": "id",
                      "description": "Fulfillment order id",
                      "type": "string",
                      "example": "4005740193290131085320"
                    },
                    "line_items": {
                      "name": "line_items",
                      "description": "Fulfillment order product listing",
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "country_code_of_origin": {
                            "name": "country_code_of_origin",
                            "description": "Country code of origin/shipping point",
                            "type": "string",
                            "example": "US"
                          },
                          "fulfillable_quantity": {
                            "name": "fulfillable_quantity",
                            "description": "Available in approximately Product quantities",
                            "type": "long",
                            "example": 1
                          },
                          "fulfillment_order_id": {
                            "name": "fulfillment_order_id",
                            "description": "Fulfillment order id",
                            "type": "string",
                            "example": "4005740193290131085320"
                          },
                          "harmonized_system_code": {
                            "name": "harmonized_system_code",
                            "description": "Customs code",
                            "type": "string",
                            "example": "121"
                          },
                          "id": {
                            "name": "id",
                            "description": "Fulfillment order Product table id",
                            "type": "string",
                            "example": "400574123"
                          },
                          "line_item_id": {
                            "name": "line_item_id",
                            "description": "Product id",
                            "type": "string",
                            "example": "40057889"
                          },
                          "quantity": {
                            "name": "quantity",
                            "description": "Product number",
                            "type": "long",
                            "example": 1
                          },
                          "shop_id": {
                            "name": "shop_id",
                            "description": "store ID",
                            "type": "string",
                            "example": "541380002"
                          },
                          "variant_id": {
                            "name": "variant_id",
                            "description": "Product SKU number",
                            "type": "string",
                            "example": "156223761"
                          }
                        },
                        "example": {
                          "country_code_of_origin": "US",
                          "fulfillable_quantity": 1,
                          "fulfillment_order_id": "4005740193290131085320",
                          "harmonized_system_code": "121",
                          "id": "400574123",
                          "line_item_id": "40057889",
                          "quantity": 1,
                          "shop_id": "541380002",
                          "variant_id": "156223761"
                        }
                      }
                    },
                    "merchant_requests": {
                      "name": "merchant_requests",
                      "description": "Request a specific list of information at the time of delivery",
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "created_at": {
                            "name": "created_at",
                            "description": "Time to happen ( format see IOS8601 )",
                            "type": "string",
                            "example": "2023-04-12T22:59:52+08:00"
                          },
                          "kind": {
                            "name": "kind",
                            "description": "Third party request status including : submit : fulfillment_request , cancellation_requested , cancellation_reques",
                            "type": "string",
                            "example": "submit"
                          },
                          "message": {
                            "name": "message",
                            "description": "Notes",
                            "type": "string",
                            "example": "none"
                          },
                          "notify_customer": {
                            "name": "notify_customer",
                            "description": "Whether to inform customer when shipping",
                            "type": "boolean",
                            "example": true
                          }
                        },
                        "example": {
                          "created_at": "2023-04-12T22:59:52+08:00",
                          "kind": "submit",
                          "message": "none",
                          "notify_customer": true
                        }
                      }
                    },
                    "order_id": {
                      "name": "order_id",
                      "description": "Order id",
                      "type": "string",
                      "example": "21057116277667827637773776"
                    },
                    "request_status": {
                      "name": "request_status",
                      "description": "Request status, including: unsubmitted, submitted, rejected, closed, cancellation_requested, cancellation_rejected, cancellation_accepted, accepted",
                      "type": "string",
                      "example": "unsubmitted"
                    },
                    "shop_id": {
                      "name": "shop_id",
                      "description": "store ID",
                      "type": "string",
                      "example": "541380002"
                    },
                    "status": {
                      "name": "status",
                      "description": "Fulfillment order status , including : open , in_progress , cmos ed , cancelled , incomplete , on_hold , scheduled",
                      "type": "string",
                      "example": "open"
                    },
                    "supported_actions": {
                      "name": "supported_actions",
                      "description": "Action supported by the fulfillment order list",
                      "type": "array",
                      "items": {
                        "type": "string"
                      },
                      "example": [
                        "\"create_fulfillment\""
                      ]
                    }
                  },
                  "example": {
                    "assigned_location": {
                      "address1": "126 York Street",
                      "address2": "Unit 42",
                      "city": "Ottawa",
                      "country": "Canada",
                      "country_code": "CA",
                      "location_id": "5668167071852661850",
                      "name": "Ottawa Store",
                      "phone": "18883290139",
                      "province": "Ontario",
                      "zip": "A1B 2C3"
                    },
                    "assigned_location_id": "5668167071852661850",
                    "delivery_method": "none",
                    "destination": {
                      "address1": "Chestnut Street 12",
                      "address2": "Chestnut Street 13",
                      "city": "Louisville",
                      "company": "LLL",
                      "country": "Canada",
                      "country_code": "CA",
                      "delivery_store_code": "A121",
                      "delivery_store_name": "Napo Shop",
                      "email": "sswe.t@mail.example.com",
                      "first_name": "Jack",
                      "id": "1046000771",
                      "last_name": null,
                      "name": "Jack Wang",
                      "phone": "18883290137",
                      "province": "Kentucky",
                      "province_code": "KY"
                    },
                    "display_status": "Picked up",
                    "fulfill_at": "2023-04-12T22:59:52+08:00",
                    "fulfill_by": "2023-04-12T22:59:52+08:00",
                    "fulfillment_holds": null,
                    "id": "4005740193290131085320",
                    "line_items": null,
                    "merchant_requests": null,
                    "order_id": "21057116277667827637773776",
                    "request_status": "unsubmitted",
                    "shop_id": "541380002",
                    "status": "open",
                    "supported_actions": [
                      "\"create_fulfillment\""
                    ]
                  }
                }
              }
            },
            "example": {
              "fulfillment_orders": null
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/fulfillment_orders/fulfillment_orders_search.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Fulfillment order list query",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_assigned_fulfillment_orders"
  ]
}
```